org.optaplanner.core.config.heuristic.selector.common.nearby

## Enum NearbySelectionDistributionType

- java.lang.Object
- - java.lang.Enum<NearbySelectionDistributionType>
  - - org.optaplanner.core.config.heuristic.selector.common.nearby.NearbySelectionDistributionType

- All Implemented Interfaces:
    Serializable, Comparable<NearbySelectionDistributionType>

      public enum NearbySelectionDistributionType
      extends Enum<NearbySelectionDistributionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BETA_DISTRIBUTION` Selection according to a beta distribution.
    `BLOCK_DISTRIBUTION` Only the n nearest are selected, with an equal probability.
    `LINEAR_DISTRIBUTION` Nearest elements are selected with a higher probability.
    `PARABOLIC_DISTRIBUTION` Nearest elements are selected with a higher probability.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NearbySelectionDistributionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NearbySelectionDistributionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCK_DISTRIBUTION

          public static final NearbySelectionDistributionType BLOCK_DISTRIBUTION

      Only the n nearest are selected, with an equal probability.

    - #### LINEAR_DISTRIBUTION

          public static final NearbySelectionDistributionType LINEAR_DISTRIBUTION

      Nearest elements are selected with a higher probability. The probability decreases linearly.

    - #### PARABOLIC_DISTRIBUTION

          public static final NearbySelectionDistributionType PARABOLIC_DISTRIBUTION

      Nearest elements are selected with a higher probability. The probability decreases quadratically.

    - #### BETA_DISTRIBUTION

          public static final NearbySelectionDistributionType BETA_DISTRIBUTION

      Selection according to a beta distribution. Slows down the solver significantly.

  - ### Method Detail

    - #### values

          public static NearbySelectionDistributionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NearbySelectionDistributionType c : NearbySelectionDistributionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NearbySelectionDistributionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.